Send Message
curl --request POST \
--url https://api.example.com/api/conversations/{conversation_id}/events \
--header 'Content-Type: application/json' \
--data '
{
"role": "user",
"content": [
{
"text": "<string>",
"cache_prompt": false,
"type": "text"
}
],
"run": false
}
'import requests
url = "https://api.example.com/api/conversations/{conversation_id}/events"
payload = {
"role": "user",
"content": [
{
"text": "<string>",
"cache_prompt": False,
"type": "text"
}
],
"run": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
role: 'user',
content: [{text: '<string>', cache_prompt: false, type: 'text'}],
run: false
})
};
fetch('https://api.example.com/api/conversations/{conversation_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Events
Send Message
Send a message to a conversation
POST
/
api
/
conversations
/
{conversation_id}
/
events
Send Message
Path Parameters
Body
application/json
Payload to send a message to the agent.
This is a simplified version of openhands.sdk.Message.
Response
Successful Response
Was this page helpful?
⌘I

